import java.util.ArrayList;
import java.util.List;

/**
 * @author Erwan LBP
 * @version 1.0
 * @since 21-02-2017
 */
public class Main {

    public static void main(String[] args) {
        long timeToutDeb = System.currentTimeMillis();

        System.out.println("***** DEBUT *****");



        String fileToParse = "test.txt";
        System.out.println("Fichier à parser : " + fileToParse);


        String splitBy = args.length < 2 ? " " : args[1];
        System.out.println("Séparateur : <" + splitBy + ">");

        List<List<Integer>> tabOD = new ArrayList<>();
        if (!Parser.parse(fileToParse, splitBy, tabOD)) {
            System.out.println("Probleme de parse, arret du programme");
            return;
        }

        long timeDebNO = System.currentTimeMillis();
        NordOuest no = new NordOuest(tabOD);
        no.run();
        long timeFinNO = System.currentTimeMillis();
        System.out.println("Fin de l'algo Nord-Ouest : " + (timeFinNO - timeDebNO) + " ms");
        System.out.println("Le cout maximum selon Nord-Ouest est " + no.coutMaximum() + "\n");

        long timeDebBH = System.currentTimeMillis();
        BalasHammer bh = new BalasHammer(tabOD);
        bh.run();
        long timeFinBH = System.currentTimeMillis();
        System.out.println("Fin de l'algo Balas-Hammer : " + (timeFinBH - timeDebBH) + " ms");
        System.out.println("Le cout maximum selon Balas-Hammer est " + bh.coutMaximum());
        System.out.println("***** FIN *****");
    }
}
