#!/usr/bin/env python
# coding=utf-8

#Balas-Hammer

Q1 = [7, 12, 1, 5, 9]
Q2 = [15, 3, 12, 6, 14]
Q3 = [8, 16, 10, 12, 7]
Q4 = [18, 8, 17, 11, 16]

tab = [Q1, Q2, Q3, Q4]
tabFinal = [[0]*5,[0]*5,[0]*5,[0]*5]

O = [12, 11, 14, 8]
D = [10, 11, 15, 5, 4]

indexL = [0,1,2,3]
indexC = [0,1,2,3,4]


def maxRangees(tab,indexX,indexY):
    maximum = 0
    n = indexX[0]
    for i in indexX:
        ligne = tab[i]
        ligne2 = []
        for j in indexY:
            ligne2.append(ligne[j])
        ligne = ligne2
        if len(ligne) == 1:
            m = ligne[0]
        else:
            l = sorted(ligne)
            m = l[1] - l[0]
        if m > maximum:
            maximum = m
            n = i
    return n,m

def tournerTab(tab):
    longueur = len(tab[0])
    colonnes = []
    for i in range(longueur):
        c = []
        for ligne in tab:
            c.append(ligne[i])
        colonnes.append(c)
    return colonnes

def saturation(tab, n, indexX):
    r = tab[n]
    minimum = r[indexX[0]]
    x = indexX[0]
    for i in indexX:
        val = r[i]
        if val < minimum:
            minimum = val
            x = i
    return x

def supprLigne(tab, n):
    del tab[n]
    return tab

def supprColonne(tab, n):
    for ligne in tab:
        del ligne[n]
    return tab

def afficherTab(tab,indexL,indexC):
    l = []
    for i in indexL:
        for j in indexC:
            l.append(tab[i][j])
        print(l)
        l = []


afficherTab(tab,[0,1,2,3],[0,1,2,3,4])

import time

t0 = time.clock()
while((indexL != []) & (indexC != [])):
    a = maxRangees(tab,indexL,indexC)
    tab2 = tournerTab(tab)
    b = maxRangees(tab2,indexC,indexL)

    if a[1] > b[1]:
        n = a[0]
        x = saturation(tab, n, indexC)
        s = min(O[n],D[x])
        tabFinal[n][x] = s
        if O[n] == D[x]:
            del indexL[indexL.index(n)]
            del indexC[indexC.index(x)]
        else:
            if O[n] < D[x]:
                del indexL[indexL.index(n)]
                D[x] -= s
            else:
                del indexC[indexC.index(x)]
                O[n] -= s
    else:
        n = b[0]
        x = saturation(tab2, n, indexL)
        s = min(O[x],D[n])
        tabFinal[x][n] = s
        if O[x] == D[n]:
            del indexL[indexL.index(x)]
            del indexC[indexC.index(n)]
        else:
            if O[x] < D[n]:
                del indexL[indexL.index(x)]

                D[n] -= s
            else:
                del indexC[indexC.index(n)]
                O[x] -= s

    print("===============")
    afficherTab(tabFinal,[0,1,2,3],[0,1,2,3,4])
    print("===============")
    #print("===============")
print(time.clock() - t0)
