#!/usr/bin/env python
# coding=utf-8

import copy
import time

fichier = open("3x3.txt","r")

Matrix = []

T = 1000

for i in fichier:
    i.strip()
    ligne = i.split("\t")
    ligne[len(ligne)-1] = ligne[len(ligne)-1].rstrip('\n')

    if (ligne != ['']):
        for j in range(0, len(ligne)):
            ligne[j] = int(ligne[j])

        Matrix.append(ligne)
fichier.close()

class Noeud:
    def __init__(self):
        self.Matrix=[]
        self.cout=0
        self.parent=None

    def _get_Matrix(self):
        return self._Matrix

    def _get_cout(self):
        return self._cout

    def _get_parent(self):
        return self._parent

    def _set_Matrix(self,Matrix):
        self._Matrix = Matrix

    def _set_cout(self,cout):
        self._cout = cout

    def _set_parent(self,parent):
        self._parent = parent

    def __eq__(self,other):
        for i,elt in enumerate(self.Matrix):
            for j,elt2 in enumerate(self.Matrix[i]):
                if (elt2!=other.Matrix[i][j]):
                    return False
        return True

def findPosZero(node):
    for i,elt in enumerate(node.Matrix):
        for j,elt2 in enumerate(node.Matrix[i]):
            if (elt2==0):
                  return i,j

def findNeighbors(node,objectif,openList,closedList):
    '''for i in range(0,len(node.Matrix)):
        for j in range(0,len(node.Matrix[i])):
            if(node.Matrix[i][j]==0):
                x=i
                y=j'''
    x,y = findPosZero(node)
    length=len(node.Matrix)
    width=len(node.Matrix[0])
    
    neighbors = []
    if ((x-1)>=0):
        tempNode = Noeud()
        tempNode.Matrix = copy.deepcopy(node.Matrix)
        temp=tempNode.Matrix[x-1][y]
        tempNode.Matrix[x][y]=tempNode.Matrix[x-1][y]
        tempNode.Matrix[x-1][y]=0
        inOpenList=findInOpenList(openList,tempNode)
        if(not(findInClosedList(closedList,tempNode))):
            #print(tempNode.Matrix)
            #time.sleep(10)
            tempNode.parent=node
            costFromDepToCurrentNode=node.cout+heuristiqueNbCases(tempNode.Matrix,node.Matrix)
            costFromCurrentNodeToObj=heuristiqueNbCases(tempNode.Matrix,objectif.Matrix)
            
            tempNode.cout += costFromDepToCurrentNode+costFromCurrentNodeToObj
            if(inOpenList[0]):
                if (inOpenList[2].cout>(tempNode.cout)):
                    openList[inOpenList[1]]=tempNode
            else:
                neighbors.append(tempNode)

        del tempNode

    #print(x+1)
    if ((x+1)<length):
        tempNode = Noeud()
        tempNode.Matrix = copy.deepcopy(node.Matrix)
        temp=tempNode.Matrix[x+1][y]
        tempNode.Matrix[x][y]=tempNode.Matrix[x+1][y]
        tempNode.Matrix[x+1][y]=0
        inOpenList=findInOpenList(openList,tempNode)
        if(not(findInClosedList(closedList,tempNode))):
            #print(tempNode.Matrix)
            #time.sleep(10)
            tempNode.parent=node
            costFromDepToCurrentNode=node.cout+heuristiqueNbCases(tempNode.Matrix,node.Matrix)
            costFromCurrentNodeToObj=heuristiqueNbCases(tempNode.Matrix,objectif.Matrix)
            '''print("costFromCurrentNodeToObj")
            print(costFromCurrentNodeToObj)
            print("costFromDepToCurrentNode")
            print(costFromDepToCurrentNode)'''
            tempNode.cout += costFromDepToCurrentNode+costFromCurrentNodeToObj
            if(inOpenList[0]):
                if (inOpenList[2].cout>(tempNode.cout)):
                    openList[inOpenList[1]]=tempNode
            else:
                neighbors.append(tempNode)

        del tempNode
    #print(y-1)
    if ((y-1)>=0):
        tempNode = Noeud()
        tempNode.Matrix = copy.deepcopy(node.Matrix)
        temp=tempNode.Matrix[x][y-1]
        tempNode.Matrix[x][y]=tempNode.Matrix[x][y-1]
        tempNode.Matrix[x][y-1]=0
        inOpenList=findInOpenList(openList,tempNode)
        if(not(findInClosedList(closedList,tempNode))):
            #print(tempNode.Matrix)
            #time.sleep(10)
            tempNode.parent=node
            costFromDepToCurrentNode=node.cout+heuristiqueNbCases(tempNode.Matrix,node.Matrix)
            costFromCurrentNodeToObj=heuristiqueNbCases(tempNode.Matrix,objectif.Matrix)
            '''print("costFromCurrentNodeToObj")
            print(costFromCurrentNodeToObj)
            print("costFromDepToCurrentNode")
            print(costFromDepToCurrentNode)'''
            tempNode.cout += costFromDepToCurrentNode+costFromCurrentNodeToObj
            if(inOpenList[0]):
                if (inOpenList[2].cout>(tempNode.cout)):
                    openList[inOpenList[1]]=tempNode
            else:
                neighbors.append(tempNode)
        del tempNode
    #print(y+1)
    if ((y+1)<width):
        tempNode = Noeud()
        tempNode.Matrix = copy.deepcopy(node.Matrix)
        temp=tempNode.Matrix[x][y+1]
        tempNode.Matrix[x][y]=tempNode.Matrix[x][y+1]
        tempNode.Matrix[x][y+1]=0
        inOpenList=findInOpenList(openList,tempNode)
        if(not(findInClosedList(closedList,tempNode))):
            #print(tempNode.Matrix)
            #time.sleep(10)
            tempNode.parent=node
            costFromDepToCurrentNode=node.cout+heuristiqueNbCases(tempNode.Matrix,node.Matrix)
            costFromCurrentNodeToObj=heuristiqueNbCases(tempNode.Matrix,objectif.Matrix)
            '''print("costFromCurrentNodeToObj")
            print(costFromCurrentNodeToObj)
            print("costFromDepToCurrentNode")
            print(costFromDepToCurrentNode)'''
            tempNode.cout += costFromDepToCurrentNode+costFromCurrentNodeToObj
            if(inOpenList[0]):
                if (inOpenList[2].cout>(tempNode.cout)):
                    openList[inOpenList[1]]=tempNode
            else:
                neighbors.append(tempNode)
        del tempNode
    return neighbors

def heuristiqueManhattan(xa,xb,ya,yb):
    x = (xa - xb) if (xa > xb) else (xb - xa)
    y = (ya - yb) if (ya > yb) else (yb - ya)
    return x + y

def heuristiqueNbCases(current,objectif):
    badCases=0
    for i in range(0,len(current)-1):
        for j in range(0,len(current[i])-1):
            if(current[i][j]!=objectif[i][j]):
                badCases+=1
    return badCases

def findBestNode(openList):
    #cout=openList[-1].cout
    #print(cout)
    temp=[]
    for i,elt in enumerate(openList):
        #currentCost=elt.cout
        if(currentCost<cout):
            cout=currentCost
            best=elt
    return best

'''def findInClosedList(closedList,neighbor):
    x_Neighbor,y_Neighbor = findPosZero(neighbor)
    for i,elt in enumerate(closedList):
        x,y = findPosZero(elt)
        if(x==x_Neighbor and y==y_Neighbor):
            return True
    return False'''

def findInClosedList(closedList,neighbor):
    for i,elt in enumerate(closedList):
        if (elt==neighbor):
            return True
        '''if(elt.Matrix==neighbor.Matrix):
            return True'''
    return False

'''def findInOpenList(openList,neighbor):
    if (len(openList)!=0):
        x_Neighbor,y_Neighbor = findPosZero(neighbor)
        for i,elt in enumerate(openList):
            x,y = findPosZero(elt)
            if(x==x_Neighbor and y==y_Neighbor):
                return [True,i,elt]
    return [False,None,None]'''

def findInOpenList(openList,neighbor):
    if (len(openList)!=0):
        for i,elt in enumerate(openList):
            if(elt.Matrix==neighbor.Matrix):
                return [True,i,elt]
    return [False,None,None]

def display(matrix):
    for ligne in matrix:
        print(ligne)

def A_Star(Matrix):
    print("Processing")
    display(Matrix)
    
    depart = Noeud()
    depart.Matrix=Matrix
    depart.cout=0
    openList = []
    closedList = []
    openList.append(copy.deepcopy(depart))
    closedList.append(copy.deepcopy(depart))
    
    sol=False
    while(len(openList)!=0):
        node=openList.pop()
        
        if(node.Matrix==objectif.Matrix):
            print("Solution trouvée")
            sol=True
            break
        else:
            neighbors=None
            neighbors=findNeighbors(node,objectif,openList,closedList)
            
            for i,elt in enumerate(neighbors):
                openList.append(elt)

            del neighbors
            openList.sort(key=lambda x: x.cout, reverse=True)

            if (len(openList)==0):
                print("Pas de solution trouvée")
                break
            else:
                closedList.append(openList[-1])
            
    print("FINISH")
    print()
    
    if(sol):
        #Fonction reconstitution chemin
        print("Reconstitution du chemin ...")
        noeud = closedList[-1]
        step = 0
        display(noeud.Matrix)
        print()
        while (noeud.parent):
            step+=1
            display(noeud.parent.Matrix)
            print()
            noeud = noeud.parent

        print(str(step) + " étapes")

#creation solution
def Solution(Matrix):
    long = len(Matrix)
    larg = len(Matrix[0])
    solution = []
    for i in range (0,long):
        solution.append([])
        for j in range(0,larg):
            solution[i].append((long*i)+j+1)
    solution[long-1][larg-1] = 0
    print("Solution: ")
    display(solution)
    print("")
    return solution

objectif=Noeud()
objectif.Matrix=Solution(Matrix)
objectif.cout=0
depart = Noeud()
depart.Matrix=Matrix
depart.cout=0
print(depart==objectif)
step=0
time1 = time.clock()
A_Star(Matrix)
time2 = time.clock()

print("{} steps in {} seconds".format(step, (time2-time1)))
